Subject: Re: [forcedeth] SET_NETDEV_DEV define

From: Carl-Daniel Hailfinger <[email-masked]>
Date: Mon, 02 Feb 2004 02:18:29 +0100

Hi Alex,

Alex de Landgraaf wrote:
> Hey guys,
> 
> Nice work on the forcedeth patches! I've been waiting for a nvnet alternative
> for some time, and this seems to be it.
> 
> Anyway, in the forcedeth 2.4 v22 patch, it seems that forcedeth.c is missing the
> #define SET_NETDEV_DEV from v20. Adding it is relativly simple, just wanted to
> let you guys know that it doesn't compile on 2.4.23+ kernels (if you hadn't
> heard this earlier).

SET_NETDEV_DEV is in since 2.4.24-pre1 (but not in 2.4.24 due to
branching), so I decided to drop the macro. However it seems many people
use older kernels, so I will probably provide a patch that will also
compile for kernels older than current prepatches.

Since this has bitten a few users in the past week, I added a note to the
documents at http://www.hailfinger.org/carldani/linux/patches/forcedeth/

Basically, I wanted to reduce compatibility cruft to zero before
submitting the driver to Marcelo.

Thanks for the heads up,
Carl-Daniel